Get Division Leaderboards
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_view_key": "<string>",
"axes": [
{
"key": "<string>",
"label": "<string>"
}
],
"views": [
{
"key": "<string>",
"axis_values": {},
"columns": [
{
"key": "<string>",
"label": "<string>",
"value_type": "number"
}
],
"rows": [
{
"subject_id": "<string>",
"values": {},
"subject_type": "player",
"subject_name": "<string>",
"policy_version_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"recent_rounds": [
{
"id": "<string>",
"round_number": 123,
"rank": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"score": 123,
"episode_wins": 123,
"episodes_played": 123,
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"title": "<string>",
"description": "<string>",
"primary_column": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Divisions & leaderboards
Get Division Leaderboards
GET
/
v2
/
divisions
/
{division_id}
/
leaderboards
Get Division Leaderboards
Authorizations
Bearer token issued by Softmax
Path Parameters
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$⌘I

